Package wx :: Class AutoBufferedPaintDC

[frames | no frames]

## Type AutoBufferedPaintDC

    object --+
             |
        Object --+
                 |
                DC --+
                     |
                    AutoBufferedPaintDC

If the current platform double buffers by default then this DC is the same as a plain `wx.PaintDC`, otherwise it is a `wx.BufferedPaintDC`.

See Also:

`wx.AutoBufferedPaintDCFactory`

Method Summary
AutoBufferedPaintDC | ``__init__`(self, win)` If the current platform double buffers by default then this DC is the same as a plain `wx.PaintDC`, otherwise it is a `wx.BufferedPaintDC`.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, win)
(Constructor)

If the current platform double buffers by default then this DC is the same as a plain `wx.PaintDC`, otherwise it is a `wx.BufferedPaintDC`.

  Parameters:
    `win`
    (type=Window)

  Returns:
    AutoBufferedPaintDC
  Overrides:
    `wx.DC.__init__`

  See Also:

  `wx.AutoBufferedPaintDCFactory`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:00 2007 | http://epydoc.sf.net